﻿Imports System.Drawing.Printing
Imports C1.C1Preview
Imports C1.C1Rdl.Rdl2008
Imports C1.C1Report.C1Report
Imports C1.Win.C1Preview

Public Class Form1

    Dim PrintDoc As New PrintDocument
    Dim cps As New PaperSize
    Dim reportclicked As Boolean = False

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
    End Sub

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        reportclicked = True

        C1Report1.Load("Commontasks.xml", "01: Alternating Background (Greenbar report)")

        'setting papersize to custom, where the user defines the papersize 
        C1Report1.Layout.PaperSize = PaperKind.Custom

        'define the custom size as per requirements and assign the same to C1Report's pagesettings
        C1Report1.Layout.CustomHeight = CType(C1TextBox1.Text.ToString, Integer) * 20 ' in twips
        C1Report1.Layout.CustomWidth = CType(C1TextBox2.Text.ToString, Integer) * 20

        C1PrintPreviewControl1.Document = C1Report1
    End Sub

    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click
        reportclicked = False

        C1Report1.Load("Commontasks.xml", "01: Alternating Background (Greenbar report)")
        PrintDoc = C1Report1.Document

        'define the custom size as per requirements and assign the same to the C1PrintDocument's pagesettings
        cps = New PaperSize("MyCustomPaperSize", CType(C1TextBox1.Text.ToString, Integer), CType(C1TextBox2.Text.ToString, Integer))
        PrintDoc.DefaultPageSettings.PaperSize = cps

        C1PrintPreviewControl1.Document = PrintDoc
    End Sub

    Private Sub ToolStripButton1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ToolStripButton1.Click
        Dim pd As PrintDialog = New PrintDialog()
        If reportclicked = True Then
            pd.PrinterSettings = C1Report1.Document.PrinterSettings
            If pd.ShowDialog() = DialogResult.OK Then
                C1Report1.Document.Print()
            End If
        Else
            pd.PrinterSettings = PrintDoc.PrinterSettings
            If pd.ShowDialog() = DialogResult.OK Then
                PrintDoc.Print()
            End If
        End If
    End Sub
End Class
